=== apps/Blink/Makefile ===
COMPONENT=BlinkAppC
include $(MAKERULES)
