=== apps/MultihopOscilloscopeLqi/Makefile ===
COMPONENT=MultihopOscilloscopeAppC
CFLAGS += -I$(TOSDIR)/lib/net/ -I$(TOSDIR)/lib/net/lqi

include $(MAKERULES)
