=== apps/Null/Makefile ===
COMPONENT=NullAppC
include $(MAKERULES)
