=== apps/Oscilloscope/Makefile ===
COMPONENT=OscilloscopeAppC

include $(MAKERULES)
