=== apps/Powerup/Makefile ===
COMPONENT=PowerupAppC
include $(MAKERULES)
