=== debian/changelog ===
tinyos (2.1.2+dfsg-1) unstable; urgency=low

  * Initial Debian Release (Closes: #696006)

 -- Sebastian Reichel <sre@debian.org>  Sun, 06 Jan 2013 19:11:55 +0100
