=== debian/control ===
Source: tinyos
Section: devel
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Standards-Version: 3.9.4
Build-Depends: ant,
               debhelper (>= 9)
Homepage: http://tinyos.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyos.git
Vcs-Git: git://git.debian.org/collab-maint/tinyos.git

Package: tinyos-source
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libjama-java,
         perl,
         python
Recommends: tinyos-tools
Description: operating system for sensor motes and embedded devices
 TinyOS is an open source, BSD-licensed operating system
 designed for low-power wireless devices, such as those
 used in sensor networks, ubiquitous computing, personal
 area networks, smart buildings, and smart meters.
 .
 This package contains the TinyOS source code.
