=== debian/watch ===
version=3
opts=dversionmangle=s/[+]dfsg// \
http://tinyos.stanford.edu/tinyos/dists/source/tinyos-([\d\.]+).tar.gz
